Page MenuHomePhabricator

Overlay footer always links to untranslated [[Special:Notifications]]
Closed, ResolvedPublic

Description

Author: mr.heat

Description:
The "All notifications" ([[MediaWiki:Echo-overlay-link]]) link in the footer of the overlay always uses the untranslated special page name [[Special:Notifications]] in all Wikipedia languages.

This is only a cosmetic issue but should be fixed for consistency.


Version: master
Severity: trivial

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:30 AM
bzimport added projects: Notifications, I18n.
bzimport set Reference to bz57350.
bzimport added a subscriber: Unknown Object (MLST).
  • Bug 57795 has been marked as a duplicate of this bug. ***

The badge itself already links to that special page, and the link there is localised. Just reuse it?

Legoktm set Security to None.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 8:44 AM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 8:44 AM

Change 223215 had a related patch set uploaded (by Legoktm):
Link to localized Special:Notifications in overlay footer

https://gerrit.wikimedia.org/r/223215

Legoktm claimed this task.Jul 7 2015, 1:00 AM
Legoktm moved this task from Needs code to In progress on the Notifications board.

Change 223215 merged by jenkins-bot:
Link to localized Special:Notifications in overlay footer

https://gerrit.wikimedia.org/r/223215

Legoktm closed this task as Resolved.Jul 7 2015, 1:44 AM